# $Revision: 1.41 $, $Date: 2011/03/01 06:28:43 $
%include	/usr/lib/rpm/macros.php
%define		_class		DB
%define		_subclass	QueryTool
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - an OO-interface for easily retrieving and modifying data in a DB
Summary(pl.UTF-8):	%{_pearname} - obiektowy interfejs do odczytywania i modyfikowania danych w DB
Name:		php-pear-%{_pearname}
Version:	1.1.2
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	4ad0cf1bc846f586b2ca604d748014be
URL:		http://pear.php.net/package/DB_QueryTool/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-DB
Requires:	php-pear-Log >= 1.7
Obsoletes:	php-pear-DB_QueryTool-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is an OO-abstraction to the SQL-Query language, it
provides methods such as setWhere, setOrder, setGroup, setJoin, etc.
to easily build queries. It also provides an easy to learn interface
that interacts nicely with HTML-forms using arrays that contain the
column data, that shall be updated/added in a DB. This package bases
on an SQL-Builder which lets you easily build SQL-Statements and
execute them.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet to obiektowo zorientowana abstrakcja dla języka zapytań
SQL, udostępniająca metody takie jak setWhere, setOrder, setGroup,
setJoin itp. do łatwego tworzenia zapytań. Udostępnia on także łatwy
do nauczenia się interfejs współpracujący z HTML-forms przy użyciu
tablic zawierających dane z kolumn, które mają być uaktualnione/dodane
do bazy. Ten pakiet bazuje na SQL-Builderze, który pozwala na łatwe
tworzenie i wykonywanie instrukcji SQL.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-DB_QueryTool.spec,v $
Revision 1.41  2011/03/01 06:28:43  glen
- release 3

Revision 1.40  2011/01/23 01:03:06  sparky
- dropped -tests subpackage

Revision 1.39  2010/08/21 19:07:41  glen
- updated deps with pearize.sh
- release 2

Revision 1.38  2010/08/20 12:55:37  glen
- updated to: 1.1.2

Revision 1.37  2008/01/31 12:16:06  glen
- rel 2

Revision 1.36  2007-02-28 01:42:04  glen
- 1.1.0

Revision 1.35  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.33  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.32  2006/05/19 19:07:21  glen
- 1.0.3

Revision 1.31  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.30  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.29  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.28  2006/02/16 18:19:46  glen
- 1.0.2

Revision 1.27  2005/10/27 18:32:43  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.26  2005/10/27 18:29:59  qboosh
- pl desc for -tests

Revision 1.25  2005/10/05 18:31:31  glen
- rel 2

Revision 1.24  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.23  2005/09/29 22:32:08  glen
- add AutoReq: no for -tests

Revision 1.22  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.21  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.20  2005/09/20 18:24:58  glen
- use new pear packaging

Revision 1.19  2005/09/10 10:41:50  adamg
- updated to 1.0.1

Revision 1.18  2004/12/03 22:03:33  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.17  2004/10/18 21:37:27  adamg
- updated to 0.11.1

Revision 1.16  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.15  2004/05/05 21:55:30  adamg
- added missing dir

Revision 1.14  2004/05/05 21:54:28  adamg
- updated to 0.10.1

Revision 1.13  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.12  2003/10/10 15:11:09  adamg
- URL unification

Revision 1.11  2003/09/24 08:46:23  adamg
- updated to 0.9.8

Revision 1.10  2003/09/15 20:23:54  adamg
- updated to 0.9.7

Revision 1.9  2003/09/12 21:25:21  adamg
- updated to 0.9.6

Revision 1.8  2003/06/18 09:06:31  adamg
- updated to 0.9.5

Revision 1.7  2003/06/06 16:24:59  adamg
- updated to 0.9.4

Revision 1.6  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.5  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.4  2003/05/25 06:25:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/02/16 12:29:03  blues
- 0.9.2 - not for Ra

Revision 1.2  2003/02/02 20:37:32  qboosh
- pl description

Revision 1.1  2003/02/01 18:50:30  blues
- initial release (not for Ra)
